赞
踩
AcDbArc( const AcGePoint3d& center, double radius, double startAngle, double endAngle );
Parameters
|
Description
|
const AcGePoint3d& center
|
Input center point of the arc
|
double radius
|
Input radius of the arc
|
double startAngle
|
Input starting angle of the arc
|
double endAngle
|
Input ending angle of the arc
|
AcDbArc( const AcGePoint3d& center, const AcGeVector3d& normal, double radius, double startAngle, double endAngle );
Parameters
|
Description
|
const AcGePoint3d& center
|
Input center point of the arc
|
const AcGeVector3d& normal
|
Input normal vector of the plane containing the arc
|
double radius
|
Input radius of the arc
|
double startAngle
|
Input starting angle of the arc
|
double endAngle
|
Input ending angle of the arc
|
#define PI 3.1415926535897932384626433832795L
//创建圆弧AcDbArc *pArc= new AcDbArc(ptSart,200,0 , 90* PI / 180.0);
if (pArc == NULL)
return;
Copyright © 2003-2013 www.wpsshop.cn 版权所有,并保留所有权利。